Bug 13117 - boot fails from cd RH6.2 when RH6.1 installed
boot fails from cd RH6.2 when RH6.1 installed
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-27 12:19 EDT by Robert C. Welsh
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-02 19:46:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert C. Welsh 2000-06-27 12:19:35 EDT
I have the following machine(s):

dell gx200, 2x30 gig ide drives, zip, dvd-rom (ide), and cd-rw (scsi), 
256meg ram.

I successfully installed 6.1 with boot disk and cd. However, when I go to 
upgrade to 6.2. I get the following error:

.....
Partition check
  hda: hda1
  hdb: hdb1 hdb2 <hdb5 hdb6 hdb7 hdb8 hdb9>
RAMDISK : Compressed image found at block 0
crc error VFS : Cannot open root device 08:34
Kernel Panic : VFS: Unable to mount root fs on 08:34

This morning, however, I was able to take an identical machine without 6.1 
installed and do a fresh install on the bare hdb disk....actually install 
is running now. 

One final point. The diskette boot image I grabbed boot-20000407.img and 
turned into a diskette failed on both machines with the message:

SYSLINUX 1.45 1999-06-14 Boot failed

I have taken cd image from redhat and from mirror and compared. They are 
the same. I have checked diskette and it seems fine. 

I checked google.com and saw other people with this problem (kernel 
panic), but as yet have not found a solution.
Comment 1 Robert C. Welsh 2000-07-02 19:46:15 EDT
7-2-00 
I was able to get it to upgrade by booting off the cd by doing the following. 

    Change the boot sequence to be diskette/idecdrom/harddisk.

And put the rh 6.2 cd into the internal dvd (cd-rom) player.

However, it definitely fails if I try to boot the rh 6.2 cd from my external cd-
rw that is hanging off of adaptec 2930 card.

So in a sense this is sort of resolved.
Comment 2 Alan Cox 2000-08-22 12:19:44 EDT
The CRC error is indicative of the bios or scsi bios having stomped on or
damaged the
image being loaded - very odd

Note You need to log in before you can comment on or make changes to this bug.